All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
NPP_ALIGN_8 Struct Reference
Basic NPP Data Types

Complex Number This struct represents an unsigned int complex number. More...

`#include <nppdefs.h>`

## Data Fields

Npp32u | re
| Real part. More...
Npp32u | im
| Imaginary part. More...
Npp32s | re
| Real part. More...
Npp32s | im
| Imaginary part. More...
Npp32f | re
| Real part. More...
Npp32f | im
| Imaginary part. More...

## Detailed Description

Complex Number This struct represents an unsigned int complex number.

Complex Number This struct represents a single floating-point complex number.

Complex Number This struct represents a signed int complex number.

## Field Documentation

Npp32u NPP_ALIGN_8::im

Imaginary part.

Npp32s NPP_ALIGN_8::im

Imaginary part.

Npp32f NPP_ALIGN_8::im

Imaginary part.

Npp32u NPP_ALIGN_8::re

Real part.

Npp32s NPP_ALIGN_8::re

Real part.

Npp32f NPP_ALIGN_8::re

Real part.

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.1/NPP/npp/include/nppdefs.h

Copyright © 2009-2019 NVIDIA Corporation